Name:           gtkterm
Version:        0.99.5
Release:        8%{?dist}
Summary:        Serial port terminal
Group:          Applications/Communications
License:        GPLv2+
URL:            http://www.jls-info.com/julien/linux
Source0:        http://www.jls-info.com/julien/linux/%{name}-%{version}.tar.gz
Source1:        gtkterm.desktop
Source2:        gtkterm.png
Patch0:         gtkterm-0.99.5-fixes.patch
Patch1:         gtkterm-0.99.5-crlf.patch
Patch2:         gtkterm-0.99.5-scrollback.patch
Patch3:         gtkterm-0.99.5-sendhex.patch
Patch4:         gtkterm-0.99.5-usb.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk2-devel gettext bison desktop-file-utils vte-devel
BuildRequires:  zlib-devel ncurses-devel
Requires:       hicolor-icon-theme

%description
Simple GUI terminal used to communicate with the serial port.
Similar to minicom or hyperterminal.


%prep
%setup -q
%patch0 -p1
%patch1 -p1 -z .crlf
%patch2 -p1 -z .scrollback
%patch3 -p1 -z .sendhex
%patch4 -p1 -z .usb


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# below is the desktop file and icon stuff.
mkdir $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%changelog
* Sun Dec 09 2007 Dan Horak <dan[at]danny.cz> 0.99.5-8
- update the scrollback patch
- close port after unsuccesful read of control signals (#414811)

* Wed Nov 21 2007 Dan Horak <dan[at]danny.cz> 0.99.5-7
- fix buffer usage (bz 394891)

* Wed Nov  7 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.99.5-6
- Add patch adding a scrollback-buffer (configurable through gtktermrc)
  by Dan Horak (bz 369491)

* Tue Aug  7 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.99.5-5
- Update License tag for new Licensing Guidelines compliance

* Sat Jun 16 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.99.5-4
- Fix various CR LF handling issues (bug 244182)

* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.99.5-3
- FE6 Rebuild

* Thu May 11 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.99.5-2
- Rebuild for new vte release.

* Fri Mar 31 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.99.5-1
- Taking over as new FE maintainer
- Bump to new upstream 0.99.5

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Nov 28 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.99.4-0.fdr.3
- Add ncurses-devel as BuildRequires for RH9.
- full URL to Sources in .spec file
* Sat Nov 22 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.99.4-0.fdr.2
- add missing BuildRequires.
* Sat Sep 06 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.99.4-0.fdr.1
- Initial RPM release.
